# $Revision: 1.46 $, $Date: 2010/02/03 14:51:55 $
Summary:	Small FTP server
Summary(pl.UTF-8):	Mały serwer FTP
Name:		bftpd
Version:	2.6
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/bftpd/%{name}-%{version}.tar.gz
# Source0-md5:	8bfb710e13d8a07290d6ecf6088baa4c
Source1:	%{name}.inetd
Source2:	%{name}.conf
Source3:	ftpusers.tar.bz2
# Source3-md5:	76c80b6ec9f4d079a1e27316edddbe16
URL:		http://bftpd.sourceforge.net/
Patch0:		%{name}-NOROOT.patch
BuildRequires:	autoconf
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	inetdaemon
Requires:	rc-inetd
Provides:	ftpserver
Conflicts:	man-pages < 1.51
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bftpd is a Linux FTP server with chroot and setreuid. Not all FTP
commands are included. It doesn't need special home directory
preparation and accesses either the user's home directory or its .ftp
subdirectory, and user authentication is via passwd/shadow or PAM.

%description -l pl.UTF-8
bftpd jest linuksowym serwerem FTP z chroot i setreuid. Nie wszystkie
komendy FTP są dostępne. Nie wymaga specjalnego katalogu domowego i
dostępu poza katalogiem domowym użytkownika i podkatalogiem .ftp.
Autoryzacja użytkowników poprzez passwd/shadow lub PAM.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix}{/sbin,/share/man/man8},/etc/sysconfig/rc-inetd,/home/services/ftp}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd reload

%postun
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%doc %lang(en) doc/en/*.{html,txt}
%doc %lang(pl) doc/pl/*.{html,txt}
%attr(755,root,root) %{_sbindir}/*
#%%attr(640,root,root) /etc/pam.d/ftp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/ftpd
%dir %attr(555,ftp,ftp) /home/services/ftp

%{_mandir}/man5/ftpusers.5*
%{_mandir}/man8/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bftpd.spec,v $
Revision 1.46  2010/02/03 14:51:55  duddits
- up to 2.6

Revision 1.45  2008/10/13 10:56:25  duddits
- up to 2.3

Revision 1.44  2008/09/19 13:31:53  duddits
- up to 2.2

Revision 1.43  2008/02/02 02:22:36  shadzik
- kill obsoletes
- rel 3

Revision 1.42  2007-03-31 21:10:14  baggins
- rel 2
- added krb5-ftpd to obsoletes

Revision 1.41  2007/03/29 16:48:38  shadzik
- up to 1.7
- new Source0
- some cleanup

Revision 1.40  2007/03/29 16:44:21  shadzik
- new url

Revision 1.39  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.37  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.36  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.35  2004/03/29 09:06:33  andree
- back to /home/services, %%files fixes

Revision 1.34  2004/03/29 08:49:55  luzik
 - added Obsolete: glftpd

Revision 1.33  2004/02/04 15:24:41  averne
- /home/services -> /srv
- rel 2

Revision 1.32  2003/09/09 10:24:19  ankry
- spaces -> tab

Revision 1.31  2003/08/06 16:34:14  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.30  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.29  2003/05/26 14:10:11  misi3k
- updated to 1.0.24

Revision 1.28  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:45:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/12/07 23:49:18  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.25  2002/12/07 14:32:49  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.24  2002/10/23 10:36:58  ankry
- fixed path in ftpusers.5 man page; rel. 2

Revision 1.23  2002/07/14 18:46:40  blues
- 1.0.22
- more docs
- bftpd.conf rewritten
- move to /home/services

Revision 1.22  2002/07/14 18:10:02  blues
- new URLs

Revision 1.21  2002/06/10 00:16:37  ankry
- added ftpusers(5) man pages
- Conflicts: man-pages < 1.51
- release 3

Revision 1.20  2002/06/05 18:49:32  kloczek
- use new %doc.

Revision 1.19  2002/06/01 10:28:16  qboosh
- Obsoletes: proftpd-*, vsftpd
- release 2

Revision 1.18  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 15:52:44  arturs
fixed a small typo

Revision 1.16  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.13  2001/10/11 12:06:07  qboosh
- BuildRequires: autoconf; Obsoletes: muddleftpd

Revision 1.12  2001/08/25 11:53:19  filon
- added using autoconf, ac 2.5 ready

Revision 1.11  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.10  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.8  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.7  2001/04/07 20:57:23  areq
- 1.0.18

Revision 1.6  2001/03/02 16:00:35  mis
- updated (by autoup) to 1.0.17

Revision 1.5  2001/01/28 02:49:06  kloczek
- added heimdal-ftpd to Obsoletes.

Revision 1.4  2001/01/28 02:47:50  kloczek
- added proftpd to Obsoletes.

Revision 1.3  2001/01/28 02:45:04  kloczek
- added pure-ftpd to Obsoletes,
- Reqires for rc-inetd changed to Prereq.

Revision 1.2  2001/01/28 00:08:07  areq
- 1.0.16

Revision 1.1  2001/01/14 12:57:28  undefine
- Initial PLD version
